<?php
if ( ! defined( 'ABSPATH' ) ) exit;


ini_set('display_errors',0);
ini_set('error_reporting', 0 );
error_reporting(0);


include_once( 'classes/class.install.php');
include_once( 'classes/class.db.php');
include_once( 'classes/class.functions.php');
include_once( 'classes/class.icons.php');
include_once( 'classes/class.dashboard.php');
include_once( 'classes/class.builder.php');
include_once( 'classes/class.preferences.php');

add_action( 'init', 'nf_prefix_register_admin_resources' );

function nf_prefix_register_admin_resources(){
	
	 $js_version = '8.0';
	
	wp_register_script('nex-forms-admin-functions',plugins_url('/admin/js/'.NF_PATH.'admin-functions.js',dirname(__FILE__)),'',$js_version);
	wp_register_script('nex-forms-materialize.min',plugins_url('/libs/materialize.min.js',dirname(__FILE__)),'',$js_version);
	wp_register_script('nex-forms-dashboard',plugins_url('/admin/js/'.NF_PATH.'dashboard.js',dirname(__FILE__)),'',$js_version);
	wp_register_script('nex-forms-bootstrap-admin',plugins_url('/admin/js/min/bootstrap-admin.js',dirname(__FILE__)),'',$js_version);
	wp_register_script('nex-forms-builder',plugins_url('/admin/js/'.NF_PATH.'builder.js',dirname(__FILE__)),'',$js_version);		
	wp_register_script('nex-forms-field-settings-recall',plugins_url('/admin/js/'.NF_PATH.'field-settings-recall.js',dirname(__FILE__)),'',$js_version);
	wp_register_script('nex-forms-field-settings',plugins_url('/admin/js/'.NF_PATH.'field-settings.js',dirname(__FILE__)),'',$js_version);
	wp_register_script('nex-forms-admin-tour',plugins_url('/admin/js/'.NF_PATH.'tour.js',dirname(__FILE__)),'',$js_version);
	wp_register_script('nex-forms-tinymce',includes_url( '/js/tinymce/tinymce.min.js'),'',$js_version);
	wp_register_script('nex-forms-drag-and-drop',plugins_url('/admin/js/drag-and-drop.js',dirname(__FILE__)),'',$js_version);

	//FRONT+BACK
	  
	// BS DATETIME 
	
	wp_register_script('nex-forms-fields',plugins_url('/admin/js/min/fields.js',dirname(__FILE__)),'',$js_version);

	wp_register_script('nex-forms-bootstrap.touchspin', plugins_url( '/public/js/min/jquery.bootstrap-touchspin.js',dirname(__FILE__)),'',$js_version);

	
}




function enqueue_nf_admin_scripts($hook) {

	$js_version = '8.0';
	
	wp_enqueue_script('jquery');
	wp_enqueue_style('jquery-ui');
	
	wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script('jquery-ui-widget');
	wp_enqueue_script('jquery-ui-mouse');
	wp_enqueue_script('jquery-ui-sortable');
	wp_enqueue_script('jquery-ui-draggable');
	wp_enqueue_script('jquery-ui-droppable');
	wp_enqueue_script('jquery-ui-resizable');
	wp_enqueue_script('jquery-ui-slider');
	wp_enqueue_script('jquery-ui-spinner');
	wp_enqueue_script('jquery-ui-autocomplete');
	wp_enqueue_script('jquery-form');
	wp_enqueue_script('jquery-widget');
	
	wp_enqueue_script('nex-forms-tinymce');
	
	wp_enqueue_style('nex-forms-admin-color-adapt',  plugins_url( '/admin/css/color_adapt/'.get_user_option( 'admin_color' ).'.css',dirname(__FILE__)),'',$js_version);

	// Custom Includes 
	if($hook=='toplevel_page_nex-forms-dashboard')
		{
		wp_enqueue_script('nex-forms-admin-functions');
		wp_enqueue_script('nex-forms-bootstrap-admin');
		wp_enqueue_script('nex-forms-materialize.min');
		wp_enqueue_script('nex-forms-dashboard');
		}

		$form = isset($_REQUEST['open_form']) ? true : false;
		
	if($hook=='admin_page_nex-forms-builder')
		{
		if($form)
			{
			wp_enqueue_script('nex-forms-admin-functions');
			wp_enqueue_script('nex-forms-bootstrap-admin');
			wp_enqueue_script('nex-forms-builder');		
			wp_enqueue_script('nex-forms-materialize.min');
			wp_enqueue_script('nex-forms-field-settings');
			wp_enqueue_script('nex-forms-field-settings-recall');
			wp_enqueue_script('nex-forms-admin-tour');
			wp_enqueue_script('nex-forms-drag-and-drop');
			//FRONT+BACK
			
			// BS DATETIME 
			wp_enqueue_script('nex-forms-fields');
			
			
			wp_enqueue_style('wp-codemirror');
			$cm_settings1['codeEditor'] = wp_enqueue_code_editor(array('type' => 'text/javascript'));
		
		
			wp_localize_script('nex-forms-admin-functions', 'cm_settings_1', $cm_settings1);
			
			$cm_settings2['codeEditor'] = wp_enqueue_code_editor(array('type' => 'text/javascript'));
			wp_localize_script('nex-forms-admin-functions', 'cm_settings_2', $cm_settings2);
			
			
			$cm_settings3['codeEditor'] = wp_enqueue_code_editor(array('type' => 'text/css'));
			wp_localize_script('nex-forms-admin-functions', 'cm_settings_3', $cm_settings3);
			
			}
		}
}

function enqueue_nf_admin_styles($hook) {
	// CSS 
	
	$js_version = '8.0';
	
	if($hook=='toplevel_page_nex-forms-dashboard')
		{
		wp_enqueue_style('nex-forms-bootstrap.min',plugins_url('/admin/css/min/admin.css',dirname(__FILE__)),'',$js_version);
		wp_enqueue_style('nex-forms-dashboard',plugins_url('/admin/css/'.NF_PATH.'dashboard.css',dirname(__FILE__)),'',$js_version);
		//FRONT+BACK
		wp_enqueue_style('nex-forms-font-awesome-5',plugins_url('/public/css/fa5/css/all.min.css',dirname(__FILE__)),'',$js_version);
		wp_enqueue_style('nex-forms-font-awesome-4-shims',plugins_url('/public/css/fa5/css/v4-shims.min.css',dirname(__FILE__)),'',$js_version);
		wp_enqueue_style('nex-forms-animations',plugins_url('/public/css/min/animate.css',dirname(__FILE__)),'',$js_version);
		wp_enqueue_style('nex-forms-ui',plugins_url('/public/css/'.NF_PATH.'ui.css',dirname(__FILE__)),'',$js_version);
		}
	if($hook=='admin_page_nex-forms-builder')
		{
		wp_enqueue_style('nex-forms-builder',plugins_url('/admin/css/'.NF_PATH.'builder.css',dirname(__FILE__)),'',$js_version);
		wp_enqueue_style('nex-forms-bootstrap.min',plugins_url('/admin/css/min/admin.css',dirname(__FILE__)),'',$js_version);
		
		//FRONT+BACK
		wp_enqueue_style('nex-forms-animate',plugins_url('/public/css/min/animate.css',dirname(__FILE__)),'',$js_version);
		wp_enqueue_style('nex-forms-ui',plugins_url('/public/css/'.NF_PATH.'ui.css',dirname(__FILE__)),'',$js_version);
		
		wp_enqueue_style('nex_forms-font-awesome-5',plugins_url('/public/css/fa5/css/all.min.css',dirname(__FILE__)),'',$js_version);
		wp_enqueue_style('nex-forms-font-awesome-4-shims',plugins_url('/public/css/fa5/css/v4-shims.min.css',dirname(__FILE__)),'',$js_version);
		
		wp_enqueue_style('nex-forms-materialize.min',plugins_url('/public/css/min/materialize-ui.css',dirname(__FILE__)),'',$js_version);

		
		
		add_action('admin_bar_menu', 'custom_toolbar_link', 999);
		}
}
add_action( 'admin_enqueue_scripts', 'enqueue_nf_admin_scripts' );
add_action( 'admin_enqueue_scripts', 'enqueue_nf_admin_styles' );

function custom_toolbar_link($wp_admin_bar) {
    
	$theme = wp_get_theme();
	if($theme->Name=='NEX-Forms Demo')
		{
		$args = array(
			'id' => 'wpbeginner',
			'title' => '<span class="ab-icon"><span class="dashicons-before dashicons-external"></span></span><span class="ab-label">NF DEMO FORM - Test Page</span>', 
			'href' => 'http://basixonline.net/nex-forms-admin-demo/nex-forms-demo-form/user-test-form-'.$_GET['open_form'].'/?form_id='.$_GET['open_form'].'', 
			'meta' => array(
				'class' => 'nf-test-page', 
				'title' => 'Demo Form Test Page'
				)
		);
    	$wp_admin_bar->add_node($args);
		}
}
?>